﻿@model WebApplication_StudentManagement_PrizeTest.Models.CourseViewModel

@using (Ajax.BeginForm("Create", "Course", new AjaxOptions { OnSuccess = "onAddCourseAdded", HttpMethod = "POST" }, new { id = "frmAddCourse" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.CourseName, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.CourseName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.CourseName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.StartDate, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.StartDate, htmlAttributes: new { @class = "form-control datefield" })
                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.EndDate, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.EndDate, htmlAttributes: new { @class = "form-control datefield" })
                @Html.ValidationMessageFor(model => model.EndDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-4">
                &nbsp;
            </div>
            <div class="col-md-8">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<script>
    $(document).ready(function () {
        InitialiseDatePicker();
    });

    function onAddCourseAdded(args) {
        if (typeof onAddCourseAdded_callback !== 'undefined' && $.isFunction(onAddCourseAdded_callback)) {
            var callbackFunction = onAddCourseAdded_callback;
            callbackFunction.call(this, args);
        }
    }
</script>